Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 93583 - XMMS2 developer releases (New ebuild)
Summary: XMMS2 developer releases (New ebuild)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High enhancement with 5 votes (vote)
Assignee: Sergei Trofimovich
URL: http://wiki.xmms2.xmms.se/index.php/M...
Whiteboard:
Keywords:
: 94102 95677 95687 101476 251518 (view as bug list)
Depends on:
Blocks: 93723 121155 121157 121159 121345 276587
  Show dependency tree
 
Reported: 2005-05-22 10:45 UTC by Bertrand Jacquin
Modified: 2010-06-30 12:14 UTC (History)
36 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-sound/xmms2/xmms2-0.1_rc1.ebuild (xmms2-0.1_rc1.ebuild,923 bytes, text/plain)
2005-05-22 10:46 UTC, Bertrand Jacquin
Details
media-sound/xmms2/xmms2-0.1_rc1-r2.ebuild (xmms2-0.1_rc1-r2.ebuild,2.19 KB, text/plain)
2005-05-22 13:02 UTC, Bertrand Jacquin
Details
media-sound/xmms2/xmms2-0.1_rc1-r2.ebuild (xmms2-0.1_rc1-r2.ebuild,2.19 KB, text/plain)
2005-05-22 13:19 UTC, Bertrand Jacquin
Details
media-sound/xmms2/xmms2-0.1_rc1-r2.ebuild (xmms2-0.1_rc1-r2.ebuild,2.13 KB, text/plain)
2005-05-22 14:38 UTC, Bertrand Jacquin
Details
media-sound/xmms2/xmms2-0.1_rc1-r3.ebuild (xmms2-0.1_rc1-r3.ebuild,2.29 KB, text/plain)
2005-05-23 12:39 UTC, Bertrand Jacquin
Details
xmms2 ebuild from bug 95687 (xmms2-0.1_pre20050601.ebuild,1.01 KB, text/plain)
2005-06-11 10:25 UTC, Lucas Chiesa
Details
media-sound/xmms2/xmms2-0.1_pre20050601-r1.ebuild (xmms2-0.1_pre20050601-r1.ebuild,1.61 KB, text/plain)
2005-06-12 10:40 UTC, Lucas Chiesa
Details
media-sound/xmms2/xmms2-0.1_pre20050804.ebuild (xmms2-0.1_pre20050804.ebuild,1.60 KB, text/plain)
2005-08-06 00:51 UTC, Lucas Chiesa
Details
media-sound/xmms2/xmms2-0.1_pre20050804.ebuild (xmms2-0.1_pre20050804.ebuild,1.63 KB, text/plain)
2005-08-07 08:48 UTC, Lucas Chiesa
Details
media-sound/xmms2/xmms2-0.2.1.ebuild (xmms2-0.2.1.ebuild,1.62 KB, text/plain)
2005-08-19 15:59 UTC, Bertrand Jacquin
Details
media-sound/xmms2/xmms2-0.1_pre20050907 (xmms2-0.1_pre20050907.ebuild,1.62 KB, text/plain)
2005-09-18 14:51 UTC, Lucas Chiesa
Details
The Dr Alban version of xmms2 (xmms2-0.2.ebuild,1.93 KB, text/plain)
2005-12-22 05:24 UTC, R. Bosch
Details
Dr. Alban version with sdl option (xmms2-0.2.ebuild,1.99 KB, text/plain)
2006-01-08 09:56 UTC, R. Bosch
Details
DR. Bombay ebuild (xmms2-0.2.ebuild,2.17 KB, text/plain)
2006-01-14 06:34 UTC, R. Bosch
Details
xmms2-0.2.ebuild (xmms2-0.2.ebuild,2.29 KB, text/plain)
2006-01-31 16:06 UTC, Thomas Cort (RETIRED)
Details
gxmms2-0.6.0.ebuild (gxmms2-0.6.0.ebuild,508 bytes, text/plain)
2006-01-31 17:46 UTC, Thomas Cort (RETIRED)
Details
azrael-0.3.1.ebuild (azrael-0.3.1.ebuild,525 bytes, text/plain)
2006-01-31 18:33 UTC, Thomas Cort (RETIRED)
Details
xmms2-0.2_pre3.ebuild (xmms2-0.2_pre3.ebuild,2.30 KB, text/plain)
2006-02-04 08:45 UTC, Thomas Cort (RETIRED)
Details
xmms2-0.2_pre3.ebuild (xmms2-0.2_pre3.ebuild,2.24 KB, text/plain)
2006-02-11 12:38 UTC, Thomas Cort (RETIRED)
Details
xmms2-0.2.ebuild (xmms2-0.2.ebuild,1.72 KB, text/plain)
2006-02-11 15:31 UTC, SpanKY
Details
xmms2-0.2.ebuild (xmms2-0.2.ebuild,1.75 KB, text/plain)
2006-02-25 09:50 UTC, Thomas Cort (RETIRED)
Details
updated 0.2 ebuild (xmms2-0.2.ebuild,2.30 KB, text/plain)
2006-09-05 12:15 UTC, Devils-Hawk
Details
xmms2-0.2.ebuild (xmms2-0.2.ebuild,2.29 KB, application/octet-stream)
2006-09-28 04:40 UTC, Devils-Hawk
Details
xmms2-0.2.ebuild (xmms2-0.2.ebuild,2.39 KB, text/plain)
2006-11-16 01:08 UTC, Paul Bredbury
Details
xmms2-0.2.10.ebuild (xmms2-0.2.10.ebuild,2.70 KB, text/plain)
2007-06-02 13:53 UTC, Robert Sebastian Gerus
Details
xmms2-0.2.8.ebuild (xmms2-0.2.8.ebuild,2.79 KB, text/plain)
2007-06-03 07:47 UTC, Robert Sebastian Gerus
Details
a ebuild for the new release 0.4 (xmms2-0.4_rc1.ebuild,3.67 KB, text/plain)
2007-11-22 13:46 UTC, Gibheer
Details
new ebuild for xmms2 (xmms2-0.5.ebuild,3.47 KB, text/plain)
2008-12-18 20:52 UTC, Andrea
Details
git-based xmms2-20090427.ebuild (xmms2-20090427.ebuild,4.98 KB, text/plain)
2009-04-27 18:26 UTC, Vault13
Details
DrMattDestruction (xmms2-0.6.ebuild,3.24 KB, text/plain)
2009-04-27 20:28 UTC, Constantin Baranov
Details
output of `diff xmms2-0.6.ebuild xmms2-0.6-r1.ebuild` (xmms2-0.6----0.6-r1.ebuild.diff,649 bytes, text/plain)
2009-09-02 17:52 UTC, mehrunes
Details
xmms2-9999 (xmms2-9999.ebuild,3.32 KB, text/plain)
2009-10-08 22:20 UTC, Misha
Details
patch for xmms2-9999 to be compiled successfully (xmms2-no-ldconfig.patch,784 bytes, patch)
2009-10-08 22:21 UTC, Misha
Details | Diff
tages improvement for xmms2-9999 patch (xmms2-improve-tags.patch,3.07 KB, patch)
2009-10-08 22:24 UTC, Misha
Details | Diff
Updated ebuild for xmms2 0.6 DrMattDestruction (xmms2-0.6.ebuild,3.30 KB, text/plain)
2010-02-14 17:24 UTC, Víctor Ostorga (RETIRED)
Details
Updated ebuild for xmms2 0.6 DrMattDestruction (xmms2-0.6.ebuild,3.27 KB, text/plain)
2010-02-14 18:04 UTC, Víctor Ostorga (RETIRED)
Details
xmms2-0.7.ebuild (xmms2-0.7.ebuild,3.27 KB, text/plain)
2010-02-20 15:11 UTC, Steve
Details
xmms2-0.7.ebuild (xmms2-0.7.ebuild,3.25 KB, text/plain)
2010-02-20 15:24 UTC, Constantin Baranov
Details
waf.eclass (waf.eclass,897 bytes, text/plain)
2010-02-20 15:28 UTC, Constantin Baranov
Details
xmms2-0.7.ebuild - slightly inflated to ease maintenance of newly added flags (xmms2-0.7.ebuild,6.07 KB, text/plain)
2010-06-28 19:35 UTC, Sergei Trofimovich
Details
xmms2-0.7DrNo-windres-build-fix.patch - patch to fix the build when ... app-emulation/wine is installed! (xmms2-0.7DrNo-windres-build-fix.patch,1.88 KB, patch)
2010-06-28 19:36 UTC, Sergei Trofimovich
Details | Diff
xmms2-0.7.ebuild - fixed flaws found by vapier (xmms2-0.7.ebuild,5.88 KB, text/plain)
2010-06-29 16:33 UTC, Sergei Trofimovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bertrand Jacquin 2005-05-22 10:45:26 UTC
XMMS2 0.1 DR1 have just been released
It works well but I get some problem will writing ebuild
Here is a begenning

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Bertrand Jacquin 2005-05-22 10:46:28 UTC
Created attachment 59565 [details]
media-sound/xmms2/xmms2-0.1_rc1.ebuild

Can work with FEATURES="-sandbox" due to scons
Comment 2 Carsten Lohrke (RETIRED) gentoo-dev 2005-05-22 12:00:17 UTC
> Can work with FEATURES="-sandbox" due to scons

Sidestepping the sandbox is not appropriate. You should report bugs, if you face
access violations, but _never_ disable it.
Comment 3 Bertrand Jacquin 2005-05-22 13:02:06 UTC
Created attachment 59581 [details]
media-sound/xmms2/xmms2-0.1_rc1-r2.ebuild

sandbox problem have been resolved :)

So compile works :)
There is an error with USE="python" (problaby because of pyrex)
Comment 4 Bertrand Jacquin 2005-05-22 13:19:18 UTC
Created attachment 59582 [details]
media-sound/xmms2/xmms2-0.1_rc1-r2.ebuild

Fix USE=sid dependancies
Comment 5 Bertrand Jacquin 2005-05-22 14:38:05 UTC
Created attachment 59588 [details]
media-sound/xmms2/xmms2-0.1_rc1-r2.ebuild

Header modifications
Comment 6 Bertrand Jacquin 2005-05-23 12:39:18 UTC
Created attachment 59651 [details]
media-sound/xmms2/xmms2-0.1_rc1-r3.ebuild

Just a release which to better from USE

I think there are lot of work to do on this ebuild (flac, speex)
Comment 7 Olliver Schinagl 2005-05-24 07:57:22 UTC
nice one, would be cool to have this one added to portage (together with ebuild
for some frontends?)
Comment 8 Bertrand Jacquin 2005-05-24 08:17:43 UTC
I also wrote an ebuild for euphoria which is frontend to XMMS2 writen in
Ruby-EFL (Enlightenment Foundation Libraries). All them are in Bugtracker :

Euphoria : #93723
Ruby-EFL : #93721

Also, there are some other frontend. Some (many) are listed in
http://wiki.xmms2.xmms.se/index.php/XMMS2_Clients
Comment 9 Eric Shattow 2005-05-24 08:23:40 UTC
xmms2 wiki states that this is unsuitable for end users. marking invalid; please
try again when the xmms2 is ready.
Comment 10 Carsten Lohrke (RETIRED) gentoo-dev 2005-05-26 13:15:40 UTC
*** Bug 94102 has been marked as a duplicate of this bug. ***
Comment 11 R. Bosch 2005-06-05 07:41:56 UTC
I tried to compile a program based on xmms, but the build can't find the
pkg-config files for xmms2-client and xmms2-client-glib. In the source package I
found various .pc files not installed.

Please ad:
xmms2-client-ecore.pc
xmms2-client-glib.pc
xmms2-client.pc
xmms2-plugin.pc
to the installation?
Thanks!
I'll post a patch to change /usr/local to local...

The ebuild might need to be changed to comply with the expected form of the
tree. Xmms2play searches the header files in xmmsclient/xmmsclient.h instead of
[include dir] which would be any directory given up to the linker, like with
-I/usr/include/xmms2. First let's see who is right ;-)

greetings,

R. Bosch
Comment 12 R. Bosch 2005-06-05 10:35:40 UTC
For xmms2 you could also add ecore (x11-lib/ecore) as optional dependancy. 
something like [USE="ecore"]
Eventhough you'll have to add
x11-libs/ecore ~x86
x11-libs/evas ~x86
dev-libs/eet ~x86
to your /etc/portage/package.keywords, it does open up options to try
xmms2-related client-software because you have full api support.
Nice addition for the people that are already living on the bleeding edge ;-)

greetings,

R. Bosch
Comment 13 Bertrand Jacquin 2005-06-05 12:35:44 UTC
Yes, I get the problem too.

Also I use e17 with all libs in 9999 version (cvs) so I didn't think about a
ecore USE but it could be added.

Also for the include problem, it seem that ./configure need more options or make
or in src_install/src_compil. I currently didn't find time for that but I would
like to get some for. You speak about a patch. Is this patch resolv theses
problems ?

Thanks :)
Comment 14 Bertrand Jacquin 2005-06-05 12:41:05 UTC
DR1.1 is out.

I'll try in the week. It correct 20 bugs. Maybe our include :p
Gonna test
Comment 15 R. Bosch 2005-06-06 15:12:38 UTC
> like to get some for. You speak about a patch. Is this patch resolv theses
> problems ?

Took a look at cvs too and it solved the problem much better. They now use a
template to create the pc-file from. (see Changelog).
Am about to look at the newer version (DR1.1)

Comment 16 R. Bosch 2005-06-06 16:27:17 UTC
(In reply to comment #15)
> Am about to look at the newer version (DR1.1)

Same as the git version ;-)

As far as "I" can tell all is ok...
Ran a quit test (installing as user under userdirectory), and appart from:
/usr/lib/python2.3/site-packages
/usr/lib/ruby/site_ruby/1.8/i686-linux
/usr/lib/python2.3/site-packages/OpenGL/Demo/NeHe.directory
(permission denied)
all seems nice.

So, my patch can in the bin, Except for one....
Waiting for aproval ;-)

greetings,

R. Bosch
Comment 17 Andrej Kacian (RETIRED) gentoo-dev 2005-06-10 05:58:38 UTC
*** Bug 95677 has been marked as a duplicate of this bug. ***
Comment 18 Jakub Moc (RETIRED) gentoo-dev 2005-06-10 08:01:37 UTC
*** Bug 95687 has been marked as a duplicate of this bug. ***
Comment 19 R. Bosch 2005-06-11 06:54:22 UTC
(In reply to comment #18)
> *** Bug 95687 has been marked as a duplicate of this bug. ***

But has a better ebuild ;-)
Try it. You'll see!

R. Bosch
Comment 20 Bertrand Jacquin 2005-06-11 09:45:39 UTC
You can add it here :)
works for me :)
Comment 21 Bertrand Jacquin 2005-06-11 09:52:51 UTC
There also a problem :

If your USE are : -python +ruby
Imagin that I have both python and ruby installed :
emerge xmms2 with your ebuild install python's xmms2 lib (not lib but files) and
ruby's ones. But my USE precise that I *don't* want python's xmms2 files.
That's a problem. It the same with ruby.

scons is horrible for thing like that because you can't tell him to disable a
feature which you can with autotools :/
so there's a need to do the scons command and then delete useless files. That's
crapy !
Comment 22 Lucas Chiesa 2005-06-11 10:22:32 UTC
I have realised of that problem, but I was looking for a nice way of fixing it.
I'm attaching my ebuild here, so people can choose. I'll post a new one when I
have to problem solved.

Lucas Chiesa
Comment 23 Lucas Chiesa 2005-06-11 10:25:11 UTC
Created attachment 61064 [details]
xmms2 ebuild from bug 95687

This is a different ebuild for xmms2, use the one you like the most.
Comment 24 R. Bosch 2005-06-12 09:42:37 UTC
(In reply to comment #21)

> scons is horrible for thing like that because you can't tell him to disable a
> feature which you can with autotools :/
> so there's a need to do the scons command and then delete useless files. That's
> crapy !

If someone know's how to work with autotools, he/she could make a mosterpatch
and submit it to the xmms2 team. Then there's stil the issue of maintaining it....
The site explained that they switched to scons because they couldn't work with
the auto tools. Someone vollentering to help out? ;-)
I'm not qualified in that respect. Can't even make a descent Makefile.. et-al! :-}

/Me hide in shame ;-)

R. Bosch
Comment 25 Lucas Chiesa 2005-06-12 10:36:17 UTC
Well I've been reading scons docs and find out a way of disebling features not
so crapy. I have added it to the ebuild but have not tested it very well yet. I
know it does compile without every USE flag and with all of them, and I could,
for example disable vorbis sopport even though I have libvorbis installed. Also,
I changed the ogg flag for vorbis flag, it looked more appropriate.
Comment 26 Lucas Chiesa 2005-06-12 10:40:17 UTC
Created attachment 61118 [details]
media-sound/xmms2/xmms2-0.1_pre20050601-r1.ebuild

New version of ebuild from bug 95687. Now use flags really disable the
features. (Well, at least, I think so :) )
Comment 27 Lucas Chiesa 2005-06-12 12:21:30 UTC
Tried it in a64 and compiles but only with USE="-python". 
This is for xmms2-0.1_pre20050601-r1.ebuild
Comment 28 Bertrand Jacquin 2005-06-21 12:37:58 UTC
Yeah, Lucas's ebuild rocks :)

A lot of xmms2 clients available on xmms2 wiki have path written in hard (no
pkg-config, etc) but can compile fine now. They also works good :)

Any of you have written some ebuilds for theses clients ?
I written euphoria one (see bug #93723) depend on : ruby, ruby-efl (very
experimental), rake, ruby-efl depend on some very experimental x11 libs (e17
ones). But it's nice and work very good ! :)
Comment 29 Lucas Chiesa 2005-06-21 17:25:16 UTC
(In reply to comment #28)
> Yeah, Lucas's ebuild rocks :)

Thanks :)
 
Regarding the clients I've only tried euphoria and it looks quite incomplete...
I'm quite happy using the xmms2 command... But I think I'll have a look at the
other clientes.
Comment 30 Olivier Dzwoniarkiewicz 2005-06-23 05:50:18 UTC
I got a problem emerging the lastest ebuild of xmms2 : 
 
>>> emerge (3 of 3) media-sound/xmms2-0.1_pre20050601-r1 to / 
>>> md5 files   ;-) xmms2-0.1_pre20050601-r1.ebuild 
>>> md5 files   ;-) files/digest-xmms2-0.1_pre20050601-r1 
>>> md5 src_uri ;-) xmms2-0.1DR1.1.tar.gz 
>>> Unpacking source... 
>>> Unpacking xmms2-0.1DR1.1.tar.gz 
to /var/tmp/portage/xmms2-0.1_pre20050601-r1/work 
>>> Source unpacked. 
ACCESS DENIED   unlink:    /usr/lib/scons/SCons/__init__.pyc 
ACCESS DENIED   open_wr:   /usr/lib/scons/SCons/__init__.pyc 
ACCESS DENIED   unlink:    /usr/lib/scons/SCons/Script/__init__.pyc 
ACCESS DENIED   open_wr:   /usr/lib/scons/SCons/Script/__init__.pyc 
 
(... very long list) 
 
ACCESS DENIED   unlink:    /usr/lib/scons/SCons/Taskmaster.pyc 
ACCESS DENIED   open_wr:   /usr/lib/scons/SCons/Taskmaster.pyc 
ACCESS DENIED   unlink:    /usr/lib/scons/SCons/Conftest.pyc 
ACCESS DENIED   open_wr:   /usr/lib/scons/SCons/Conftest.pyc 
scons: Reading SConscript files ... 
ACCESS DENIED   unlink:    /usr/lib/scons/SCons/Platform/posix.pyc 
ACCESS DENIED   open_wr:   /usr/lib/scons/SCons/Platform/posix.pyc 
 
(... also a long list) 
 
ACCESS DENIED   unlink:    /usr/lib/scons/SCons/dblite.pyc 
ACCESS DENIED   open_wr:   /usr/lib/scons/SCons/dblite.pyc 
Running pkg-config --silence-errors --cflags sqlite3 
Running pkg-config --silence-errors --cflags glib-2.0 
Running curl-config --libs --cflags 
Checking for FLAC__seekable_stream_decoder_get_state() in C library FLAC... yes 
Running pkg-config --silence-errors --cflags --libs jack 
Checking for mad_synth_init() in C library mad... yes 
... 
 
and, at the end of the emerge, of course I get a : 
 
--------------------------- ACCESS VIOLATION SUMMARY 
--------------------------- 
LOG FILE = "/tmp/sandbox-media-sound_-_xmms2-0.1_pre20050601-r1-32261.log" 
 
 
I don't understand clearly what the problem is...  
Why do xmms2 on in write mode the files in /usr/lib/scons/ ? 
Comment 31 Lucas Chiesa 2005-06-23 06:32:31 UTC
(In reply to comment #30)

I actually don't know what the problem is, could you say more about you system
and what USE flags are you setting so I try to reproduce the error?

Lucas
Comment 32 Olivier Dzwoniarkiewicz 2005-06-23 06:42:07 UTC
(In reply to comment #31) 
yep no problem :) 
 
Portage 2.0.51.22-r1 (default-linux/x86/2005.0, gcc-3.3.5-20050130, 
glibc-2.3.5-r0, 2.6.11-gentoo-r9 i686) 
================================================================= 
System uname: 2.6.11-gentoo-r9 i686 AMD Athlon(tm) XP 2600+ 
Gentoo Base System version 1.6.12 
dev-lang/python:     2.3.5, 2.4.1-r1 
sys-apps/sandbox:    1.2.9 
sys-devel/autoconf:  2.13, 2.59-r6 
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5 
sys-devel/binutils:  2.16.1 
sys-devel/libtool:   1.5.18 
virtual/os-headers:  2.6.11-r2 
ACCEPT_KEYWORDS="x86 ~x86" 
AUTOCLEAN="yes" 
CBUILD="i686-pc-linux-gnu" 
CFLAGS="-O2 -march=athlon-xp -mcpu=i686 -pipe -fomit-frame-pointer" 
CHOST="i686-pc-linux-gnu" 
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/share/config /var/qmail/control" 
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d" 
CXXFLAGS="-O2 -march=athlon-xp -mcpu=i686 -pipe -fomit-frame-pointer" 
DISTDIR="/usr/portage/distfiles" 
FEATURES="autoconfig distlocks sandbox sfperms strict" 
GENTOO_MIRRORS="http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ 
http://ftp.easynet.nl/mirror/gentoo/ 
http://ftp.snt.utwente.nl/pub/os/linux/gentoo" 
LINGUAS="fr" 
PKGDIR="/usr/portage/packages" 
PORTAGE_TMPDIR="/var/tmp" 
PORTDIR="/usr/portage" 
PORTDIR_OVERLAY="/usr/local/portage /usr/local/overlays/kde-live" 
SYNC="rsync://rsync.gentoo.org/gentoo-portage" 
USE="x86 3dnow 3dnowext X aac apm audiofile avi berkdb bitmap-fonts bzip2 bzlib 
cdr crypt cups curl dga divx4linux dvd dvdr dvdread emboss encode esd fam fbcon 
ffmpeg flac foomaticdb fortran ftp gd gdbm gif gpm gtk gtk2 imagemagick imap 
imlib java jpeg kde ldap libg++ libwww mad maildir matroska mikmod mime mmx 
mmxext motif mp3 mpeg msn ncurses nls nvidia ogg oggvorbis opengl oss pam 
pdflib perl png ppds python qt quicktime readline real ruby scanner sdl sndfile 
spell sqlite sse ssl svga tcpd tetex theora tiff truetype truetype-fonts 
type1-fonts unicode usb v4l vorbis win32codecs xine xinerama xml2 xv xvid zlib 
linguas_fr userland_GNU kernel_linux elibc_glibc" 
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, MAKEOPTS 
 
 
*  dev-util/scons 
      Latest version available: 0.96.1 
      Latest version installed: 0.96.1 
 
Comment 33 Olivier Dzwoniarkiewicz 2005-06-23 06:44:00 UTC
(In reply to comment #32) 
I forgot to mention this : 
 
[ebuild  N    ] media-sound/xmms2-0.1_pre20050601-r1  -alsa +curl +flac -gnome 
+oss +python +ruby -samba -sid +vorbis 0 kB [1] 
Comment 34 Bertrand Jacquin 2005-06-23 08:55:34 UTC
(In reply to comment #33)
> (In reply to comment #32) 
> I forgot to mention this : 
>  
> [ebuild  N    ] media-sound/xmms2-0.1_pre20050601-r1  -alsa +curl +flac -gnome 
> +oss +python +ruby -samba -sid +vorbis 0 kB [1] 

It seems to be a problem with USE="python". Could you try with this USE ?

just a USE="-python" emerge -va xmms2

Comment 35 Olivier Dzwoniarkiewicz 2005-06-23 09:08:11 UTC
(In reply to comment #34) 
> It seems to be a problem with USE="python". Could you try with this USE ? 
>  
> just a USE="-python" emerge -va xmms2 
>  
>  
It's exactly the same for me. 
I tried also with all USE flags deactivated, like this : 
 
USE="-alsa -curl -flac -gnome -oss -python -ruby -samba -sid -vorbis" emerge 
-av xmms2 
 
and it's the same also. 
Comment 36 Lucas Chiesa 2005-06-27 07:02:55 UTC
I can't reproduce the error, I think it may be a problem with the scons
configuration file. I'll look into it (though I don't know mucho python..).
Comment 37 yesi 2005-07-20 06:52:27 UTC
hi,

i've just recompil xmms2
nd i have this error:

ccache: failed to create (null)/.ccache (No such file or directory)
scons: *** [src/clients/lib/python/xmmsclient.os] Error 1
scons: building terminated because of errors.

!!! ERROR: media-sound/xmms2-0.1_pre20050601-r1 failed.
!!! Function src_compile, Line 52, Exitcode 2
!!! scons CONFIG=1 EXCLUDE= samba failed

what about this, please?
Comment 38 Bertrand Jacquin 2005-07-20 13:27:42 UTC
(In reply to comment #37)
> hi,
> 
> i've just recompil xmms2
> nd i have this error:
> 
> ccache: failed to create (null)/.ccache (No such file or directory)
> scons: *** [src/clients/lib/python/xmmsclient.os] Error 1
> scons: building terminated because of errors.
> 
> !!! ERROR: media-sound/xmms2-0.1_pre20050601-r1 failed.
> !!! Function src_compile, Line 52, Exitcode 2
> !!! scons CONFIG=1 EXCLUDE= samba failed
> 
> what about this, please?

Could you try FEATURES="-ccache" emerge -vat xmms2 ?

It seem that scons doesn't like ccache.

Comment 39 yesi 2005-07-21 04:20:15 UTC
it'd seem that was the problem that you said.

merci.
Comment 40 Jakub Moc (RETIRED) gentoo-dev 2005-08-05 13:26:51 UTC
*** Bug 101476 has been marked as a duplicate of this bug. ***
Comment 41 Lucas Chiesa 2005-08-06 00:49:43 UTC
Well, here is the ebuild for DR2. It is the same ebuild with but now it
downloads the new sources :) It emerged successfully in my computer, please try
it out.

Lucas
Comment 42 Lucas Chiesa 2005-08-06 00:51:28 UTC
Created attachment 65211 [details]
media-sound/xmms2/xmms2-0.1_pre20050804.ebuild

Ebuild for xmms2-DR2. (media-sound/xmms2)
Comment 43 Bertrand Jacquin 2005-08-07 03:47:39 UTC
(In reply to comment #41)
> Well, here is the ebuild for DR2. It is the same ebuild with but now it
> downloads the new sources :) It emerged successfully in my computer, please try
> it out.
> 
> Lucas

Great :) That's work for me. EXCLUDE seems to be a good solution for scons.
But I think it could be better to do all exclude stuff in src_compile.

thanks
Comment 44 Lucas Chiesa 2005-08-07 08:46:58 UTC
(In reply to comment #43)

In the new attachment I fix that. I don't know why it wasn't like this before :)

Lucas

> Great :) That's work for me. EXCLUDE seems to be a good solution for scons.
> But I think it could be better to do all exclude stuff in src_compile.
> 
> thanks
> 

Comment 45 Lucas Chiesa 2005-08-07 08:48:30 UTC
Created attachment 65318 [details]
media-sound/xmms2/xmms2-0.1_pre20050804.ebuild

EXCLUDE string is generated in src_compile now.
Comment 46 Bertrand Jacquin 2005-08-08 03:21:28 UTC
(In reply to comment #45)
> Created an attachment (id=65318) [edit]
> media-sound/xmms2/xmms2-0.1_pre20050804.ebuild
> 
> EXCLUDE string is generated in src_compile now.

:)

I made the modifications on my overlay, that's wasn't blocking :)
Also, I have a problem with DR2 : with USE=ruby, I don't have any
libxmms2client_ecore, so that is blocking euphoria. I'm currently looking on
that. I don't know if it's a EXCLUDE problem or anything else. I look.
If you want to look, have a look on #93723
Comment 47 Bertrand Jacquin 2005-08-19 15:59:42 UTC
Created attachment 66358 [details]
media-sound/xmms2/xmms2-0.2.1.ebuild

Here is a new ebuild for the newest release : xmms2-0.1DR2.1

This resolv ruby bindings and some others. euphoria now works good with.

http://sourceforge.net/project/showfiles.php?group_id=139437&package_id=152912&release_id=350217

http://wiki.xmms2.xmms.se/index.php/Main_Page
http://wiki.xmms2.xmms.se/index.php/Release:DR2.1
Comment 48 Lucas Chiesa 2005-08-20 00:58:26 UTC
(In reply to comment #47)

I really think that numbering xmms2 DR2.1 as xmms2-0.2.1 is wrong. Now I can't
remember why I thought that DR1.1 (the first I used) was a Developer Release of
xmms2 0.1, but back then I must have known. The real problem is that portage has
no way of counting the "DR" releases, which is a non standard release (is it
alpha?), and DR2.1 is not xmms2-0.2.1, I look at it as the 2.1 pre alpha release
of the first xmms2 (xmms2-0.1?). That is why I used the _pre(date) scheme. Think
that the actual xmms2 v. 0.2 will be older that xmms2 DR2.1 ...
Please comment...
I think the best will be xmms2_pre(date) (because now I can't find anywhere that
they are releasing DRs of xmms2 v. 0.1)
Comment 49 Lucas Chiesa 2005-08-20 01:19:11 UTC
(In reply to comment #48)

The xmms2-0.1 came from the actual name of the source file... xmms2-0.1DR2.1 .
This clearly statas that xmms2-0.2.1 is a future release... I really think that
xmm2-0.1_pre() is a far better (and "portageish") name for the ebuild.

> (In reply to comment #47)
> 
> I really think that numbering xmms2 DR2.1 as xmms2-0.2.1 is wrong. Now I can't
> remember why I thought that DR1.1 (the first I used) was a Developer Release of
> xmms2 0.1, but back then I must have known. The real problem is that portage has
> no way of counting the "DR" releases, which is a non standard release (is it
> alpha?), and DR2.1 is not xmms2-0.2.1, I look at it as the 2.1 pre alpha release
> of the first xmms2 (xmms2-0.1?). That is why I used the _pre(date) scheme. Think
> that the actual xmms2 v. 0.2 will be older that xmms2 DR2.1 ...
> Please comment...
> I think the best will be xmms2_pre(date) (because now I can't find anywhere that
> they are releasing DRs of xmms2 v. 0.1)
> 

Comment 50 Bertrand Jacquin 2005-08-20 04:35:24 UTC
(In reply to comment #49)
> (In reply to comment #48)
> 
> The xmms2-0.1 came from the actual name of the source file... xmms2-0.1DR2.1 .
> This clearly statas that xmms2-0.2.1 is a future release... I really think that
> xmm2-0.1_pre() is a far better (and "portageish") name for the ebuild.
> 
> > (In reply to comment #47)
> > 
> > I really think that numbering xmms2 DR2.1 as xmms2-0.2.1 is wrong. Now I can't
> > remember why I thought that DR1.1 (the first I used) was a Developer Release of
> > xmms2 0.1, but back then I must have known. The real problem is that portage has
> > no way of counting the "DR" releases, which is a non standard release (is it
> > alpha?), and DR2.1 is not xmms2-0.2.1, I look at it as the 2.1 pre alpha release
> > of the first xmms2 (xmms2-0.1?). That is why I used the _pre(date) scheme. Think
> > that the actual xmms2 v. 0.2 will be older that xmms2 DR2.1 ...
> > Please comment...
> > I think the best will be xmms2_pre(date) (because now I can't find anywhere that
> > they are releasing DRs of xmms2 v. 0.1)
> > 
> 
> 

Yes, You are right. Maybe could you use _alpha-0.2.1 ?
Comment 51 Lucas Chiesa 2005-08-20 07:55:57 UTC
(In reply to comment #50)

I think it is not correct. The problem is that there is no way of having a "DR"
version in the portage naming scheme, it is not a portage fault, "DR" is a non
standard way of naming the releases. I think they are alpha releases but who
knows if they are not going to release a real xmms2-0.1 alpha 1 (for example)?

> (In reply to comment #49)
> > (In reply to comment #48)
> > 
> > The xmms2-0.1 came from the actual name of the source file... xmms2-0.1DR2.1 .
> > This clearly statas that xmms2-0.2.1 is a future release... I really think that
> > xmm2-0.1_pre() is a far better (and "portageish") name for the ebuild.
> > 
> > > (In reply to comment #47)
> > > 
> > > I really think that numbering xmms2 DR2.1 as xmms2-0.2.1 is wrong. Now I can't
> > > remember why I thought that DR1.1 (the first I used) was a Developer
Release of
> > > xmms2 0.1, but back then I must have known. The real problem is that
portage has
> > > no way of counting the "DR" releases, which is a non standard release (is it
> > > alpha?), and DR2.1 is not xmms2-0.2.1, I look at it as the 2.1 pre alpha
release
> > > of the first xmms2 (xmms2-0.1?). That is why I used the _pre(date) scheme.
Think
> > > that the actual xmms2 v. 0.2 will be older that xmms2 DR2.1 ...
> > > Please comment...
> > > I think the best will be xmms2_pre(date) (because now I can't find
anywhere that
> > > they are releasing DRs of xmms2 v. 0.1)
> > > 
> > 
> > 
> 
> Yes, You are right. Maybe could you use _alpha-0.2.1 ?

Comment 52 Lucas Chiesa 2005-08-20 08:24:35 UTC
In bug #103148 you can find the ebuild for the gkrellm xmms2 plugin. It is a
quite nice client.

Lucas
Comment 53 Lucas Chiesa 2005-09-06 13:29:25 UTC
Added ebuild for another client, gxmms2. Nice little gtk client.

http://bugs.gentoo.org/show_bug.cgi?id=105058

Lucas

Comment 54 Lucas Chiesa 2005-09-18 14:50:08 UTC
New Release, xmms2-0.1DR2.2
It will not work with sqlite >=3.2.5 , but I don't know how to specify a 3.2*
version, but lower than 3.2.5 in the ebuild.

Lucas Chiesa
Comment 55 Lucas Chiesa 2005-09-18 14:51:19 UTC
Created attachment 68774 [details]
media-sound/xmms2/xmms2-0.1_pre20050907
Comment 56 Bertrand Jacquin 2005-09-19 04:16:57 UTC
(In reply to comment #54)
> New Release, xmms2-0.1DR2.2
> It will not work with sqlite >=3.2.5 , but I don't know how to specify a 3.2*
> version, but lower than 3.2.5 in the ebuild.
> 
> Lucas Chiesa

Hi,

Thanks for the bump, puting =dev-db/sqlite-3.2* is not correct, you need to do
this :

>=dev-db/sqlite-3.2
<dev-db/sqlite-3.2.5
Comment 57 Lucas Chiesa 2005-09-19 05:36:00 UTC
(In reply to comment #56)

Thanks, just wasn't sure if that was the right way :)

Lucas Chiesa

> (In reply to comment #54)
> > New Release, xmms2-0.1DR2.2
> > It will not work with sqlite >=3.2.5 , but I don't know how to specify a 3.2*
> > version, but lower than 3.2.5 in the ebuild.
> > 
> > Lucas Chiesa
> 
> Hi,
> 
> Thanks for the bump, puting =dev-db/sqlite-3.2* is not correct, you need to do
> this :
> 
> >=dev-db/sqlite-3.2
> <dev-db/sqlite-3.2.5

Comment 58 Bertrand Jacquin 2005-09-20 08:15:35 UTC
(In reply to comment #57)
> (In reply to comment #56)
> 
> Thanks, just wasn't sure if that was the right way :)
> 
> Lucas Chiesa
> 
> > (In reply to comment #54)
> > > New Release, xmms2-0.1DR2.2
> > > It will not work with sqlite >=3.2.5 , but I don't know how to specify a 3.2*
> > > version, but lower than 3.2.5 in the ebuild.
> > > 
> > > Lucas Chiesa
> > 
> > Hi,
> > 
> > Thanks for the bump, puting =dev-db/sqlite-3.2* is not correct, you need to do
> > this :
> > 
> > >=dev-db/sqlite-3.2
> > <dev-db/sqlite-3.2.5
> 
> 


You could find an ebuild for this release here :
http://guybrush.ath.cx/svn/public/portage/media-sound/xmms2/xmms2-0.2.2.ebuild

>sqlite-3.2 & <=sqlite-3.2.4 work for me here.

Euphoria is broken with this release
Comment 59 Lucas Chiesa 2005-09-20 08:32:53 UTC
(In reply to comment #58)
 
> Euphoria is broken with this release

gxmms2 works just fine with DR2.2... Is it an euphoria issue?
Comment 60 Bertrand Jacquin 2005-09-21 02:53:50 UTC
(In reply to comment #59)
> (In reply to comment #58)
>  
> > Euphoria is broken with this release
> 
> gxmms2 works just fine with DR2.2... Is it an euphoria issue?
> 

It seems that ruby-backend have changed. Euphoria is written in Ruby-EFL. Now it
work but there's a lot of warning and nasty infos

:)
Comment 61 R. Bosch 2005-12-22 05:24:57 UTC
Created attachment 75319 [details]
The Dr Alban version of xmms2

This ebuild is for the XMMS2 0.2 DrAlban was released december 18th 2005. This works for me... So testing is due.
Comment 62 R. Bosch 2005-12-22 05:26:04 UTC
The sqlite issue is solved btw.
Comment 63 Lucas Chiesa 2005-12-22 08:27:25 UTC
There is an access violation problem. However, I think it is a bug in the scons package not handling correclty the .pyc files.
Or is it just me?

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/var/log/sandbox/sandbox-media-sound_-_xmms2-0.2_pre20051218-6238.lo
g"

unlink:    /usr/lib/scons/SCons/__init__.pyc
open_wr:   /usr/lib/scons/SCons/__init__.pyc
unlink:    /usr/lib/scons/SCons/Script/__init__.pyc
open_wr:   /usr/lib/scons/SCons/Script/__init__.pyc
(---- very very long list ----)
unlink:    /usr/lib/scons/SCons/Tool/yacc.pyc
open_wr:   /usr/lib/scons/SCons/Tool/yacc.pyc
unlink:    /usr/lib/scons/SCons/Tool/zip.pyc
open_wr:   /usr/lib/scons/SCons/Tool/zip.pyc
unlink:    /usr/lib/scons/SCons/Tool/f90.pyc
open_wr:   /usr/lib/scons/SCons/Tool/f90.pyc
unlink:    /usr/lib/scons/SCons/Tool/f95.pyc
open_wr:   /usr/lib/scons/SCons/Tool/f95.pyc
unlink:    /usr/lib/scons/SCons/dblite.pyc
open_wr:   /usr/lib/scons/SCons/dblite.pyc
--------------------------------------------------------------------------------


Lucas Chiesa
Comment 64 Bertrand Jacquin 2006-01-02 08:12:21 UTC
 (In reply to comment #61)
> Created an attachment (id=75319) [edit]
> The Dr Alban version of xmms2
> 
> This ebuild is for the XMMS2 0.2 DrAlban was released december 18th 2005. This
> works for me... So testing is due.
> 

I made some improvment. You could get it here : http://guybrush.ath.cx/svn/public/portage/media-sound/xmms2/xmms2-0.2.ebuild
It work correctly here.
Comment 65 R. Bosch 2006-01-08 09:56:48 UTC
Created attachment 76536 [details]
Dr. Alban version with sdl option

Added a sdl option for sdl-vis which needs sdl-ttf. One problem remains, that you need to have a font.ttf in your home-directory. A link would suffice.

I missed the improvements of Bertrand (broken link). Could you post a patch/ebuild ? I added myself on the CC list to follow the work that's done better ;)
Comment 66 R. Bosch 2006-01-14 06:34:05 UTC
Created attachment 77073 [details]
DR. Bombay ebuild

Dr. bombay is out and dependensies are updated (SQLite,Glib).
Some bugfixes and API changes are done.
SDL is ripped out of the ebuild atm to wait for decent implementation ;)

The ebuild is based on Bertrand Jacquin's

Have Fun! :D

Remy
Comment 67 Bertrand Jacquin 2006-01-16 13:51:56 UTC
(In reply to comment #66)
> Created an attachment (id=77073) [edit]
> DR. Bombay ebuild
> 
> Dr. bombay is out and dependensies are updated (SQLite,Glib).
> Some bugfixes and API changes are done.
> SDL is ripped out of the ebuild atm to wait for decent implementation ;)
> 
> The ebuild is based on Bertrand Jacquin's
> 
> Have Fun! :D
> 
> Remy
> 

Thanks :)
Your second ebuild don't specify anything about sdl.
I don't understand what to you need with sdl ? It doesn't need it.
Comment 68 Thomas Cort (RETIRED) gentoo-dev 2006-01-31 05:50:06 UTC
(In reply to comment #66)
> Created an attachment (id=77073) [edit]
> DR. Bombay ebuild

>=scons-0.96 is in DEPEND, but according to the xmms2 wiki[1] this package needs >=scons-0.96.90 which is masked. 

[1] http://wiki.xmms2.xmms.se/index.php/Install_instructions

- dev-util/scons-0.96.90 (masked by: package.mask)
# Tom Payne <twp@gentoo.org> (18 Sep 2005)
# Causes problems with several packages. See bug #99243 and bug #102301.

- dev-util/scons-0.96.91 (masked by: package.mask)
# Tom Payne <twp@gentoo.org> (18 Sep 2005)
# Previous SCons upgrade broke lots of packages, so latest version is getting some testing first!

---

>=dev-db/sqlite-3.2.6 is in DEPEND, but the wiki says that this package only needs >=dev-db/sqlite-3.2.4.

---

For optional jack support, the wiki suggests >=jack-0.100.0

---

For optional python support, why must the user have <=gcc-4? If there is code that doesn't compile with gcc-4 it should be fixed, not avoided.

---

Why are all of the optional dependencies in RDEPEND? Shouldn't they be put in DEPEND instead? For example, ogg support probably requires libvorbis to be installed before xmms2 is compiled.
Comment 69 Luis Medinas (RETIRED) gentoo-dev 2006-01-31 07:31:06 UTC
why this bug is marked invalid ?
I plan to import to the tree soon (hopefully this week). Feel free to drop by #gentoo-media @ irc.gentoo.org to help us testing.
Comment 70 Thomas Cort (RETIRED) gentoo-dev 2006-01-31 16:06:05 UTC
Created attachment 78603 [details]
xmms2-0.2.ebuild

This ebuild was copied from Attachment #77073 [details]. It fixes the dependency problems mentioned in Comment #68. It also puts the USE flags, dependencies, and MY_EXCLUDE information in alphabetical order to improve readability.

Re: sqlite, the INSTALL file that comes with this packages suggests >=sqlite-3.2.6.
Comment 71 Thomas Cort (RETIRED) gentoo-dev 2006-01-31 17:46:52 UTC
Created attachment 78607 [details]
gxmms2-0.6.0.ebuild

This is an ebuild for gxmms2. gxmms2 is a GTK+ 2.6 based XMMS2 client. More info at the project website: http://wejp.mooo.com/wejp/xmms2/
Comment 72 Thomas Cort (RETIRED) gentoo-dev 2006-01-31 18:33:40 UTC
Created attachment 78608 [details]
azrael-0.3.1.ebuild

This is an ebuild for azrael. azrael is another GTK+ based XMMS2 client.
Comment 73 Thomas Cort (RETIRED) gentoo-dev 2006-02-01 04:38:52 UTC
Comment on attachment 78608 [details]
azrael-0.3.1.ebuild

Opened Bug 121157 for this ebuild
Comment 74 Thomas Cort (RETIRED) gentoo-dev 2006-02-01 04:39:57 UTC
Comment on attachment 78607 [details]
gxmms2-0.6.0.ebuild

Opened Bug 121155 for this ebuild.
Comment 75 Thomas Cort (RETIRED) gentoo-dev 2006-02-04 08:45:40 UTC
Created attachment 78866 [details]
xmms2-0.2_pre3.ebuild

Renamed ebuild, fixed header to match /usr/portage/header.txt, and moved ewarn to postinst.
Comment 76 R. Bosch 2006-02-05 04:25:27 UTC
Comment on attachment 77073 [details]
DR. Bombay ebuild

No need to keep this if there's a better one ;)
Comment 77 Thomas Cort (RETIRED) gentoo-dev 2006-02-11 12:38:24 UTC
Created attachment 79521 [details]
xmms2-0.2_pre3.ebuild

This is a fixed up version of attachment #78866 [details]. Fixes include: using versionator.eclass for the version number, changed license to LGPL-2.1 (it was incorrectly set to version 2.2 before), made IUSE two lines instead of one line longer than 80 characters, added !~dev-db/sqlite-3.3.3 to DEPEND/RDEPEND as the /topic for #xmms2 says that version should be avoided, removed src_unpack as nothing special needs to be done to unpack the tarball, and removed scons -c.

To get xmms2 to emerge, scons-0.96.90 and/or scons-0.96.91 need to be unmasked. I haven't tried scons-0.96.90, but scons-0.96.91.ebuild also needs the patch in attachment #79295 [details, diff] (see bug #118022).
Comment 78 SpanKY gentoo-dev 2006-02-11 15:31:55 UTC
Created attachment 79539 [details]
xmms2-0.2.ebuild

multilib needs more tweaking
Comment 79 Luis Medinas (RETIRED) gentoo-dev 2006-02-11 16:14:45 UTC
vapier ebuild looks good... Thomas i sugest you take it as a base and try to fix the access violation errors and i'll try to fix the multilib issue.

Thanks Mike
Comment 80 SpanKY gentoo-dev 2006-02-12 00:22:00 UTC
i dont get any access violations, but i used scons-0.96.1

i changed the sqlite/scons dependency ... the package wont be added to portage until those issues are resolved as depending on sqlite-3.2 and blocking 3.3 is not acceptable
Comment 81 Thomas Cort (RETIRED) gentoo-dev 2006-02-12 04:40:52 UTC
(In reply to comment #80)
> i dont get any access violations
The only reason I got access violations was because the scons-0.96.91 ebuild wasn't byte compiling its .py files. When I tried emerge'ing xmms2 for the first time it decided that it wanted to byte compile the scons files (outside the sandbox). The reason the scons ebuild didn't byte compile the python code was because of an incorrect path in the ebuild. I wrote a patch for the scons ebuild that fixes the problem and attached it to Bug #118022 as Attachment #79295 [details, diff].

> i used scons-0.96.1
The installation instructions say >=scons-0.96.90 is needed...
http://wiki.xmms2.xmms.se/index.php/Install_instructions
but it'd be great if an unmasked version of scons is found to work.

(In reply to comment #79)
> fix the access violation errors
Using the patched scons-0.96.91 ebuild I'm able to use vapier's latest xmms2 ebuild with all of the USE flags enabled to build xmms2 on ppc without getting any access violations.
Comment 82 Thomas Cort (RETIRED) gentoo-dev 2006-02-25 09:50:18 UTC
Created attachment 80712 [details]
xmms2-0.2.ebuild

xmms-0.2DrCox is out. There is a new optional dependency for ecore. Changes below:

--- xmms2-0.2.ebuild.orig       2006-02-25 17:24:40.000000000 +0000
+++ xmms2-0.2.ebuild    2006-02-25 17:47:37.000000000 +0000
@@ -4,7 +4,7 @@

 inherit multilib

-MY_P="${P}DrBombay"
+MY_P="${P}DrCox"

 DESCRIPTION="XMMS2 is a redesign of the XMMS music player."
 HOMEPAGE="http://wiki.xmms2.xmms.se/"
@@ -13,17 +13,18 @@
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="aac alsa curl flac gnome jack modplug mp3 musepack python oss ruby samba sid speex vorbis"
+IUSE="aac alsa curl ecore flac gnome jack modplug mp3 musepack python oss ruby samba sid speex vorbis"

 RDEPEND=">=dev-libs/glib-2.6.0
        >=dev-db/sqlite-3.2.6
        aac? ( >=media-libs/faad2-2.0 )
        alsa? ( media-libs/alsa-lib )
        curl? ( >=net-misc/curl-7.11.2 )
-       modplug? ( media-libs/libmodplug )
+       ecore? ( x11-libs/ecore )
        flac? ( media-libs/flac )
        gnome? ( gnome-base/gnome-vfs )
        jack? ( >=media-sound/jack-0.100.0 )
+       modplug? ( media-libs/libmodplug )
        mp3? ( media-sound/madplay )
        musepack? ( media-libs/libmpcdec )
        python? ( >=dev-lang/python-2.2.1 >=dev-python/pyrex-0.9.3 )
@@ -48,7 +49,7 @@

 src_compile() {
        local u o MY_EXCLUDE=""
-       for u in aac alsa curl gnome:gnomevfs modplug flac jack mp3:mad \
+       for u in aac alsa curl ecore gnome:gnomevfs modplug flac jack mp3:mad \
                 musepack oss ruby samba sid speex vorbis ; do
                o=${u##*:} ; o=${o:-${u}}
                u=${u%%:*}
Comment 83 Jason S. 2006-03-02 01:03:43 UTC
http://wiki.xmms2.xmms.se/index.php/Contribs#Init_scripts

I'm assuming something like the conf file should actually go in /etc/conf.d/xmms2 ?

This init script/conf script takes most of the work out for adding into future ebuilds/releases.
Comment 84 Thomas Cort (RETIRED) gentoo-dev 2006-03-02 13:17:17 UTC
(In reply to comment #83)
> http://wiki.xmms2.xmms.se/index.php/Contribs#Init_scripts
Those scripts don't work. The '-d' (run as a daemon) option didn't work in DrBombay, and it appears to be completely gone in DrCox (it isn't mentioned in the man page and it is an unrecognized command line option).

Using an /etc/init.d script, on a multi-user system, to control xmms2d isn't possible at this time. xmms2d only allows you to specify the path to the config file. It doesn't allow you to sepcify where the media library database or auto-run/auto-stop directories are. It determines those on its own ($HOME/.xmms2/*). All the users on the system would have to share the media library file, etc. It gets worse... the UNIX IPC Socket that programs use to communicate with xmms2d is not configurable. It is always /tmp/xmms-ipc-USER where USER is the username of the user running xmms2d.
Comment 85 Tobias 2006-03-19 12:00:44 UTC
(In reply to comment #84)
> (In reply to comment #83)
> > http://wiki.xmms2.xmms.se/index.php/Contribs#Init_scripts
> Those scripts don't work. The '-d' (run as a daemon) option didn't work in
> DrBombay, and it appears to be completely gone in DrCox (it isn't mentioned in
> the man page and it is an unrecognized command line option).
> 
> Using an /etc/init.d script, on a multi-user system, to control xmms2d isn't
> possible at this time. xmms2d only allows you to specify the path to the config
> file. It doesn't allow you to sepcify where the media library database or
> auto-run/auto-stop directories are. It determines those on its own
> ($HOME/.xmms2/*). All the users on the system would have to share the media
> library file, etc. It gets worse... the UNIX IPC Socket that programs use to
> communicate with xmms2d is not configurable. It is always /tmp/xmms-ipc-USER
> where USER is the username of the user running xmms2d.
> 

Hello,

just to clarify somethings: scons 0.96.1 will work, the reason that the wiki says 0.96.90 is because it's much faster.

xmms2d -d is replaced by xmms2-launcher which will put xmms2d in the background.

xmms2 can specifiy medialib and ipc path by setting it in the configfile. You could ship a pre-made config file if you wanted to. Otherwise don't hesitate to file a feature request in our mantis.

XMMMS2 DrDoolittle will be released next week. Would be nice to have a *good* ebuild for that.

-- Tobias for XMMS2 Team.
Comment 86 Nathan Mahon 2006-08-16 08:22:59 UTC
Two more versions in, and I'm quite enjoying xmms2.  I'm not clear on exactly why there's nothing in portage yet.

For the record, I'm using the http://x4x.sourceforge.net/ebuilds/ ebuild version, with the attached init.d and conf.d scripts.

So... any reason this can't go into portage at this state?
Comment 87 Jason S. 2006-08-16 10:26:50 UTC
See comment #84
Comment 88 Tobias 2006-09-05 09:48:35 UTC
xmms2d makes very little sense in a multiuser environment... the clients start the daemon upon request, I can't see how this is a blocker for bringing it into portage.
Comment 89 Jason S. 2006-09-05 10:24:22 UTC
Another couple of things that I thought off after seeing Tobias' comments.

1) People don't install a media player expecting it to work for multiple people at the same time.  That has certainly never ever been the case for me, nor anyone I know.
Who out there shares their Winamp amongst all the users of a Remote Desktop system?
Exactly.

2) There REALLY needs to be an einfo in the ebuilds (if there is, I haven't seen it, sorry) with a basic rundown that a GUI is NOT shipped with xmms2, and that users should emerge -S xmms2 (or esearch -s, whatever they use) tp search descriptions in order to look for a gui to use with xmms2.
Due to the whole client<->server nature of the app, and (IMO) shipping a randomly selected GUI in the community with xmms2 isn't the smartest idea in the world.

On that note, I think I'll throw my hat in the ring at making some ebuilds for the various GUIs I use/have used.
Comment 90 Devils-Hawk 2006-09-05 12:15:41 UTC
Created attachment 96097 [details]
updated 0.2 ebuild

It seems that there has been a slight misunderstanding. As far as I know the xmmsd is intended by its developers as a user level daemon, without(at the moment) any of the system service capabilities that mpd shows. It just solves the multi GUI, one backend problem and not the multiuser, one backend problem. Being what it is, the posted init scripts are a nice hack but neither needed nor intended for the package provided by the posted ebuilds, meaning upstream does not support them.
Comment 91 Devils-Hawk 2006-09-28 04:40:38 UTC
Created attachment 98304 [details]
xmms2-0.2.ebuild

New release! Dr. Gonzo! Now supports specifying the config directory by setting the $XDG_CONFIG_HOME env variable. for full details see http://wiki.xmms2.xmms.se/index.php/Release:DrGonzo
Comment 92 Christian Schlotter 2006-10-23 04:11:02 UTC
media-sound/xmms will be removed from the tree (see bug #152472 and http://thread.gmane.org/gmane.linux.gentoo.devel/43518/focus=43518).  Therefore it would be great if xmms2 would make it in the official portage tree.
Comment 93 LAj 2006-10-27 09:16:28 UTC
Sorry,
probably an ebuild of mine can't never been added in the portage tree because I'm only looking for third parts ebuild, for now.
Removing xmms from my world I remember of xmms2 and look at this bug.
I want to add my comment because reading the last Jason and Tobias posts they make me think.
I'm using a multi seat PC configured with 2vga, 2monitor and 2input_device_set so that in 2 close room 2 user can access it.
Using fuse_lib I can configure 2 sound device with a seat each one.
Also in this way I can't see how a running service for audio player can help 2 user. If it would exist its configuration will be very hard work and the same server will ask as many resource as two separated process in the system.
However, xmms2 configuration must be user wide.
But, can 2 xmmsd run on the same system?
Comment 94 Cheba 2006-11-06 10:36:58 UTC
java-config can't find xmms2 java bindings.
Tere is no /usr/share/xmms2/package.env
Comment 95 Paul Bredbury 2006-11-16 01:08:20 UTC
Created attachment 102048 [details]
xmms2-0.2.ebuild

Tidied ebuild.
Comment 96 Dan 2006-11-24 16:48:19 UTC
(In reply to comment #93)
> Sorry,
> probably an ebuild of mine can't never been added in the portage tree because
> I'm only looking for third parts ebuild, for now.
> Removing xmms from my world I remember of xmms2 and look at this bug.
> I want to add my comment because reading the last Jason and Tobias posts they
> make me think.
> I'm using a multi seat PC configured with 2vga, 2monitor and 2input_device_set
> so that in 2 close room 2 user can access it.
> Using fuse_lib I can configure 2 sound device with a seat each one.
> Also in this way I can't see how a running service for audio player can help 2
> user. If it would exist its configuration will be very hard work and the same
> server will ask as many resource as two separated process in the system.
> However, xmms2 configuration must be user wide.
> But, can 2 xmmsd run on the same system?
> 

This is one of the stupidest posts I've read. xmms2d is a user-level daemon, as one person who obviously did his homework instead of just assuming he knows how things work stated. By default, xmms2d uses a unix socket accessible to only the current user in /tmp/xmms-ipc-<user>. xmms2d configuration is user-wide as it is; in fact, there is no system-wide configuration ability at this point.

So, to answer your question, yes, any arbitrary number of xmms2d processes can be run on any one machine. If you want to share control between users, specify an ipcpath that is readable by those users. TCP is one way to do this, or you can chmod /tmp/xmms-ipc-<user> or specify unix:///tmp/xmms-ipc-foo. To make life easier, there is a startup.d and shutdown.d directory inside of .config/xmms2/ that you can place scripts to chmod for you if this is not done already.

No, the configuration will not be hard if you have a sane setup. XMMS2 uses a sane default sound system and device. Assuming you use ALSA, just run xmms2 config alsa.device <your_device> if you need to change it.

Now, _please_ everyone understand that XMMS2 is _not XMMS1_ and it is _not MPD_. Please read the wiki before you use, or even build XMMS2. You cannot assume you know how a program works based on its name or because your friend told you it's like MPD.
Comment 97 Georg Schild 2007-03-23 08:28:59 UTC
Since DrJekyll is coming out rsn I updated the ebuilds at http://x4x.sourceforge.net/ebuilds/ or rather the cvs-repo which can be viewed at http://x4x.cvs.sourceforge.net/x4x-portage . Means, atm there are ebuilds for xmms2-0.2.8_rc2 (DrJekyll-TEST2) and xmms2-git (using portage's new git.eclass) which fetches latest HEAD (version 9999) or a specific commit (date-versions). These ebuilds use waf (the one shipped with xmms2, no separate ebuild), have updated deps (where I'm not 100% sure if all of them are ok, but that should be solved until 0.2.8 finally comes out), do not have any init-scripts anymore and have a set of default use-flags (like mp3, ogg, ...) enabled. Having no USE-flags enabled makes xmms2 rather useless ;).

Georg
Comment 98 Georg Schild 2007-03-29 22:15:50 UTC
It must have been a bad day, 2 wrong links in one post :-\

Here the corrections:

To view: http://x4x.cvs.sourceforge.net/x4x/x4x-portage/

To get infos: http://x4x.sourceforge.net/wiki/index.php/Ebuilds


Georg
Comment 99 Robert Sebastian Gerus 2007-06-02 13:53:47 UTC
Created attachment 120942 [details]
xmms2-0.2.10.ebuild

Xmms2 ebuild that works (at least here)
Comment 100 Robert Sebastian Gerus 2007-06-03 07:47:43 UTC
Created attachment 121014 [details]
xmms2-0.2.8.ebuild

Ok, a slightly updated version. Added fam use flag, now it doesn't take ${MAKEOPTS} blindly, has the license right and got the version right (forgot that DrAlban was .0 and there was no DrI*). Any suggestions?
Comment 101 Georg Schild 2007-06-03 09:59:23 UTC
I merged my xmms2 ebuild at http://x4x.cvs.sourceforge.net/x4x/x4x-portage/ with the one Robert Sebastian Gerus wrote (thanks for some good suggestions), xmms2-0.2.8-r1 is the result. Mine has a few more USE-flags and you can build the client-lib separately (+bindings) with it. My ebuild ignores MAKEOPTS for now since xmms2 will currently corrupt its own pc-files if built in parallel.


Georg
Comment 102 Steve Arnold gentoo-dev 2007-06-09 22:11:11 UTC
Would anyone like to move the relevant ebuilds to overlays.g.o?
Comment 103 Luis Medinas (RETIRED) gentoo-dev 2007-07-16 15:33:43 UTC
Those ebuilds could be in sunrise also if anyone wants to become a dev to maintain xmms2 that's something we could help too. I advise that maintain xmms2 will be a big job considering the frontends and bindings.
Comment 104 Pacho Ramos gentoo-dev 2007-11-19 17:56:45 UTC
0.4 version already available:
http://wiki.xmms2.xmms.se/index.php/Release:DrKosmos
Comment 105 Gibheer 2007-11-22 13:46:52 UTC
Created attachment 136677 [details]
a ebuild for the new release 0.4

I have copied the old ebuild from Georg Schilds old xmms2-0.2.8-r1.ebuild for the new release.
Comment 106 Constantin Baranov 2007-11-22 15:45:24 UTC
Yet another ebuild in svn://const.mimas.ru/portage/media-sound/xmms2
Comment 107 Lars Wendler (Polynomial-C) gentoo-dev 2008-12-18 19:23:26 UTC
*** Bug 251518 has been marked as a duplicate of this bug. ***
Comment 108 Andrea 2008-12-18 20:52:37 UTC
Created attachment 175788 [details]
new ebuild for xmms2
Comment 109 Vault13 2009-04-27 18:26:45 UTC
Created attachment 189627 [details]
git-based xmms2-20090427.ebuild

The xmms2-0.5 ebuild does not work for me.

../src/plugins/avcodec/avcodec.c:27:21: error: avcodec.h: No such file or directory

After patchin avcodec.c with correct location of the header, xmms2 still does not compile

However, i put together a git-based ebuild which works

(the default code found in git today compiled on 2nd attempt after commentin out lastfm-related line in ebuild)

And xmms2 plays mp3, monkey audio, ogg vorbis for me

The ebuild should be useful for some time, since i've fixed EGIT_TREE to known-good value 

Could someone please remind me howto get ape (monkey audio) support? I want to install xmms2 on my other computers, but forgot what i did for ape support

my use flags for xmms2 as displayed by equery u: +aac +alsa -ao -asx +avcodec -cdda -clientonly -cpp -curl -daap -diskwrite -ecore -eq +flac +gnome +jack -lastfm -mdns -mlib-update -mms -modplug +mp3 -mp4 -musepack -nofileread +nophonehome +oss -perl -python -rss -ruby -samba -sid -speex +vorbis +xml -xspf

i enclose my xmms2-20090427.ebuild
Comment 110 James Le Cuirot gentoo-dev 2009-04-27 19:16:08 UTC
0.6 actually just came out so it may be worth trying that instead.
Comment 111 Constantin Baranov 2009-04-27 20:28:19 UTC
Created attachment 189646 [details]
DrMattDestruction
Comment 112 James Le Cuirot gentoo-dev 2009-05-03 16:14:16 UTC
Seems the ebuilds by Constantin are quite different to the others. I'm not sure which are better but you need to depend on media-sound/jack-audio-connection-kit, not media-sound/jack. The dependency versions are probably also there for a reason.
Comment 113 James Le Cuirot gentoo-dev 2009-06-27 13:33:44 UTC
Constantin, still using your the git ebuild in your overlay so thanks for that. I've found that it recently stopped working due to a sandbox error involving ldconfig though. You need to strip out the code near the bottom of wscript to prevent ldconfig from being called.
Comment 114 Constantin Baranov 2009-07-04 12:22:08 UTC
(In reply to comment #113)
> I've found that it recently stopped working due to a sandbox error involving
> ldconfig though. You need to strip out the code near the bottom of wscript to
> prevent ldconfig from being called.
Fixed. Thanks for reporting.
Comment 115 mehrunes 2009-09-02 17:52:46 UTC
Created attachment 202990 [details]
output of `diff xmms2-0.6.ebuild xmms2-0.6-r1.ebuild` 

ebuild found in comment no.111 did not work for me, because waf failed to
understand my MAKEOPTS which were set to "-j -l3"

also i dislike the hardcoded phonehome and diskwrite. I don't want my netbook
to report anything to Internet when playing my music

so i modded the ebuild. I suggest to call the new ebuild xmms2-0.6-r1.ebuild

new use flags: phonehome and diskwrite

phonehome: set it to on if you want xmms2 to connect to xmms2 developers via
network

diskwrite: set it to on if you want your xmms2 to be able to write music files
Comment 116 Constantin Baranov 2009-09-22 22:09:06 UTC
(In reply to comment #115)
> ebuild found in comment no.111 did not work for me, because waf failed to
> understand my MAKEOPTS which were set to "-j -l3"

Thanks for pointing this issue. I have implemented MAKEOPTS filtering,
so that -j# and -k options are passed to waf, while other options are stripped.

Last live and 0.6 ebuilds could be found in git://git.mimas.ru/const/portage.
I won't post them here because they require several patches and waf eclass.

> also i dislike the hardcoded phonehome and diskwrite. I don't want my netbook
> to report anything to Internet when playing my music

Phonehome can be simply disabled by deleting script from user's startup.d.
I dislike providing USE flags for each available plugin because global
USE flags and plugin names would be in intricate interference.
Comment 117 James Le Cuirot gentoo-dev 2009-09-23 08:39:30 UTC
(In reply to comment #116)
> Phonehome can be simply disabled by deleting script from user's startup.d.
> I dislike providing USE flags for each available plugin because global
> USE flags and plugin names would be in intricate interference.

I agree with this. Plugins like "diskwrite" also don't need any dependencies so there's little harm in not providing a flag for them.
Comment 118 Misha 2009-10-08 22:20:26 UTC
Created attachment 206479 [details]
xmms2-9999

This is xmms2-9999 ebuild that compile from git, aactually works on x86 and amd64, thought you need 2 patches (one to successful compile, another improves tags) written by my friend.
Comment 119 Misha 2009-10-08 22:21:27 UTC
Created attachment 206481 [details, diff]
patch for xmms2-9999 to be compiled successfully
Comment 120 Misha 2009-10-08 22:24:05 UTC
Created attachment 206483 [details, diff]
tages improvement for xmms2-9999 patch 

this patch is optional you can delete it from ebuild if you want
Comment 121 James Le Cuirot gentoo-dev 2009-10-08 22:33:11 UTC
Constantin's overlay already has a git ebuild. It's been working well for me. We've got a great selection going here though. ;)
Comment 122 Misha 2009-10-08 23:05:38 UTC
(In reply to comment #121)
> Constantin's overlay already has a git ebuild. It's been working well for me.
> We've got a great selection going here though. ;)
> 

there are a lot known and unknown overlays, but i think bugs.gentoo should be the first place to search of still un improved ebuilds/packages
Comment 123 Constantin Baranov 2009-10-09 05:06:05 UTC
(In reply to comment #119)
> Created an attachment (id=206481) [details]
> patch for xmms2 to be compiled successfully
The no-ldconfig patch is no more needed for git version.
One should pass --without-ldconfig option at install stage instead.
Comment 124 Alexander Tsoy 2009-10-09 16:09:42 UTC
I think ebuild should have an alternative dependency on >=media-sound/musepack-tools-444 (musepack USE flag).
Comment 125 cucu ionut 2009-10-31 23:41:07 UTC
This mask will actually make you use muse-pack as an alternative :media-libs/libmpcdec-1.2.6-r2:0::gentoo: Masked by repository (/usr/portage/profiles/package.mask: Samuli Suominen <ssuominen@gentoo.org> (17 Oct 2009) Obsolete Musepack SV7 format support. Install media-sound/musepack-tools for libs and tools to convert your audio files to SV8 format.)
Comment 126 Federico Moro 2010-02-11 03:01:39 UTC
app-crypt/gpgme should be included as DEPEND on xmms-9999.ebuild because if it ins't installed, configure fails.
Comment 127 Federico Moro 2010-02-11 03:03:32 UTC
no, it still failing to compile, excuse my error but I was compiling another version, it was a mistake.

same error persist:

Checking for libgme                                 : not found 
Checking for header gme/gme.h                       : not found 
The following required plugin(s) failed to configure: gme
 * ERROR: media-sound/xmms2-9999 failed:
Comment 128 Constantin Baranov 2010-02-11 08:00:21 UTC
(In reply to comment #127)
> no, it still failing to compile, excuse my error but I was compiling another
> version, it was a mistake.

Actually it requires the game-music-emu package. Please, use
http://git.mimas.ru/?p=const/portage overlay. XMMS2 gets actively developed
and build procedure and dependencies often change as well as patch set
required for smooth merging into Gentoo. I don't post ebuilds here each
time I change them in overlay. I think other authors of ebuilds posted here
do the same.
Comment 129 Víctor Ostorga (RETIRED) gentoo-dev 2010-02-14 17:24:49 UTC
Created attachment 219661 [details]
Updated ebuild for xmms2  0.6 DrMattDestruction

Ok guys, I attach an updated ebuild based on all your work. Please test and report any issue in order to include xmms2 in portage :)
Comment 130 Samuli Suominen gentoo-dev 2010-02-14 17:28:35 UTC
(In reply to comment #129)
> Created an attachment (id=219661) [details]
> Updated ebuild for xmms2  0.6 DrMattDestruction
> 
> Ok guys, I attach an updated ebuild based on all your work. Please test and
> report any issue in order to include xmms2 in portage :)
> 

RESTRICT="mirror"

Why?

And change "nocxx" to "cxx" (it's enabled by default in base/package.use) so you won't need EAPI="2" if you don't want.
Comment 131 Samuli Suominen gentoo-dev 2010-02-14 17:33:23 UTC
(In reply to comment #130)
> And change "nocxx" to "cxx" (it's enabled by default in base/package.use) so
> you won't need EAPI="2" if you don't want.

err, make.defaults
Comment 132 Ben de Groot (RETIRED) gentoo-dev 2010-02-14 17:46:17 UTC
(In reply to comment #128)
> XMMS2 gets actively developed
> and build procedure and dependencies often change as well as patch set
> required for smooth merging into Gentoo.

This hints at a maintenance nightmare. Are you sure you want to go there, Víctor?
Comment 133 Víctor Ostorga (RETIRED) gentoo-dev 2010-02-14 18:04:00 UTC
Created attachment 219669 [details]
Updated ebuild for xmms2  0.6 DrMattDestruction

@ssuominen : Updated ebuild fixing RESTRICT and cxx 
@ynwin : This is apparently the only way to get lxmusic into portage :)
Comment 134 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-02-14 18:15:06 UTC
(In reply to comment #133)
> @ynwin : This is apparently the only way to get lxmusic into portage :)

Given the past experience, you *know* that if you decided to not keep maintaining it, it might just get punted, right?
Comment 135 James Le Cuirot gentoo-dev 2010-02-14 18:23:51 UTC
I'm on the fence with this. I'd love to see this in the tree but I don't think I'd be happy going back to 0.6. It's true that the API has shifted a bit but I don't think it's quite as bad as they're making it out to be. I haven't had much trouble fixing up the few players I use with it. Having said that, a maintainer would have to look after a broader selection of packages and that could be tricky. If we could at least have a more recent snapshot than 0.6 in the tree, that would probably satisfy a lot of people. The maintainer can decide how many other related packages he thinks he can sanely look after. :)
Comment 136 Steve 2010-02-20 15:11:33 UTC
Created attachment 220483 [details]
xmms2-0.7.ebuild

Added an ebuild for xmms2-0.7. This is the same as the ebuild added in comment #133, with the following changes:

- Change name to DrNo
- Add --without-ldconfig during install to stop sandbox errors
- Disables the gme plugin. The cxx use flag shouldn't enable gme, plus I don't think there is anything in portage that can provide gme.
Comment 137 James Le Cuirot gentoo-dev 2010-02-20 15:21:30 UTC
I guess that solves my issue about not wanting to go back to 0.6. :)
Comment 138 Constantin Baranov 2010-02-20 15:24:20 UTC
Created attachment 220485 [details]
xmms2-0.7.ebuild
Comment 139 Constantin Baranov 2010-02-20 15:28:20 UTC
Created attachment 220497 [details]
waf.eclass

This is eclass needed for my xmms2-0.7.ebuild. It's also useful
for the promoe (graphical client for xmms2).

P.S.: Steve, you submit faster :)
Comment 140 Robert Piasek (RETIRED) gentoo-dev 2010-06-28 19:14:02 UTC
From xmms news:
"Just a brief warning to anyone looking for the XMMS1 source code. Please don't use the code at http://xmms.org since the domain is no longer controlled by the people in the community. Please use http://legacy.xmms2.org  instead."

I think the homepage needs to be updated.
Comment 141 Sergei Trofimovich gentoo-dev 2010-06-28 19:35:43 UTC
Created attachment 236843 [details]
xmms2-0.7.ebuild - slightly inflated to ease maintenance of newly added flags

Fixed various repoman QA issues and baked-in waf handling. I'd prefer to split it out when there will be more than one package in the tree.
Comment 142 Sergei Trofimovich gentoo-dev 2010-06-28 19:36:46 UTC
Created attachment 236845 [details, diff]
xmms2-0.7DrNo-windres-build-fix.patch - patch to fix the build when ... app-emulation/wine is installed!
Comment 143 Sergei Trofimovich gentoo-dev 2010-06-29 16:33:03 UTC
Created attachment 236935 [details]
xmms2-0.7.ebuild - fixed flaws found by vapier

reviewed at http://archives.gentoo.org/gentoo-dev/msg_5d5f013db0a3b97e0bf2c80392f9fe12.xml
Comment 144 Sergei Trofimovich gentoo-dev 2010-06-30 05:39:42 UTC
Added to the tree as media-sound/xmms2.

Slightly modified USE flag names comparing to Constantin's ebuild, so be careful.

Thanks everyone!